Summary:	OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400w printer driver
Summary(pl):	Sterownik do drukarek OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400w
Name:		oki4linux
Version:	2.1gst
Release:	2%{?dist}
License:	BSD with advertising
Group:		System Environment/Daemons
URL:		http://www.linuxprinting.org/show_driver.cgi?driver=oki4drv
Source0:	http://www.linuxprinting.org/download/printing/%{name}-%{version}.tar.gz
# Source0-md5:	54c85488d2489d2431ce518916b20515
Source1:	%{name}.init
Patch0:		%{name}-daemon.patch
Patch1:		%{name}-a4.patch
Requires:	initscripts
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires:	ghostscript
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
User space based driver for OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400w
printers.

%description -l pl
Sterownik do drukarek OKIPAGE (4w, 4w Plus, 6w, 8w, 8w Lite, 8z), OL400w
zaimplementowany w przestrzeni użytkownika.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
pushd src
make clean
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_initrddir},%{_mandir}/man1,/dev}

install -pm755 src/oki4drv	$RPM_BUILD_ROOT%{_sbindir}
install -pm755 src/oki4daemon	$RPM_BUILD_ROOT%{_sbindir}
install -pm644 src/oki4drv.man	$RPM_BUILD_ROOT%{_mandir}/man1/oki4drv.1
install -pm644 src/README.oki4daemon	./
install -pm644 src/readback.c	doc/
install -pm755 %{SOURCE1}	$RPM_BUILD_ROOT%{_initrddir}/oki4daemon
touch $RPM_BUILD_ROOT/dev/oki4drv

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add oki4daemon
if [ -f /var/lock/subsys/oki4daemon ]; then
	/etc/rc.d/init.d/oki4daemon restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/oki4daemon start\" to start oki4daemon daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/oki4daemon ]; then
		/etc/rc.d/init.d/oki4daemon stop 1>&2
	fi
	/sbin/chkconfig --del oki4daemon
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog COPYING README README.oki4daemon crack doc samples
%attr(755,root,root) %{_sbindir}/oki4d*
%attr(755,root,root) /etc/rc.d/init.d/oki4daemon
%{_mandir}/man1/oki4drv.1*
%attr(660,root,lp) %ghost /dev/oki4drv

%changelog
* Mon Aug 27 2007 Dominik Mierzejewski <rpm@greysector.net> 2.1gst-2
- rebuilt for BuildID
- updated license tag

* Thu Oct 05 2006 Dominik Mierzejewski <rpm@greysector.net> 2.1gst-1
- adapted PLD spec
- FE compliance
